DataProviderControllerGetServers Method |
GET /DataProvider/Servers/{id}
Gets the servers for the specified data provider.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Servers")]
public Task<HttpResponseMessage> GetServers(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Servers")>
Public Function GetServers (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As Task(Of HttpResponseMessage)public:
[HttpGetAttribute]
[ActionNameAttribute(L"Servers")]
Task<HttpResponseMessage^>^ GetServers(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Servers")>]
member GetServers :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> Task<HttpResponseMessage>
Parameters
- id
- Type: SystemGuid
The ID of the data provider to get the servers for. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
TaskHttpResponseMessage
An array of
String object, or a status code indicating the problem.
See Also